package nxm.sys.test;

import java.awt.Dimension;
import java.awt.Rectangle;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import nxm.sys.libg.MidasDisplay;

/** Sample Swing test class for %test_panel_jsetup_jpanel */
@SuppressWarnings("serial")
public class test_panel_jsetup_jpanel extends JPanel {
  /** The top-level panel */
  private JPanel panel;
  /** The plot display */
  private MidasDisplay plot1;
  /** The PASS button */
  private JButton pass;
  /** The FAIL button */
  private JButton fail;
  /** The text area for the test instructions */
  private JTextArea instructions;
  /** The scroll pane containing the test instructions text area */
  private JScrollPane jScrollPane1;

  /**
   * Create the panel.
   */
  public test_panel_jsetup_jpanel() {
    initComponents();
  }


  private void initComponents() {

    setLayout(null);
    setBounds(new Rectangle(290, 25, 825, 425));
    setPreferredSize(new Dimension(825, 425));
    setMinimumSize(new Dimension(825, 425));

    panel = new javax.swing.JPanel(null);
    panel.setBounds(new Rectangle(290, 25, 825, 425));
    panel.setMinimumSize(new Dimension(825, 425));
    panel.setPreferredSize(new Dimension(825, 425));
    panel.repaint();

    plot1 = new MidasDisplay();
    plot1.setBounds(397, 40, 363, 304);
    add(plot1);

    fail = new javax.swing.JButton("Fail");
    fail.setBounds(38, 39, 62, 25);
    add(fail);

    pass = new javax.swing.JButton("Pass");
    pass.setBounds(123, 39, 62, 25);
    add(pass);

    jScrollPane1 = new javax.swing.JScrollPane();
    jScrollPane1.setBounds(38, 76, 320, 84);

    instructions = new javax.swing.JTextArea();
    instructions.setBounds(28, 76, 278, 165);
    instructions.setText("Verify that the penny appears in the jpanel\n to the right. Click 'Pass' if the test\n Passed, or 'Fail' if the test failed.\n ");

    jScrollPane1.setViewportView(instructions);
    add(jScrollPane1);

    setVisible(true);
  }
}
